INIBuilderParametersImpl (Apache Commons Configuration 2.15.1 API)
Description: declaration: package: org.apache.commons.configuration2.builder, class: INIBuilderParametersImpl

Package org.apache.commons.configuration2.builder

# Class INIBuilderParametersImpl

java.lang.Object
org.apache.commons.configuration2.builder.BasicBuilderParameters
org.apache.commons.configuration2.builder.FileBasedBuilderParametersImpl
org.apache.commons.configuration2.builder.HierarchicalBuilderParametersImpl
org.apache.commons.configuration2.builder.INIBuilderParametersImpl

All Implemented Interfaces:
  `Cloneable`, `BasicBuilderProperties<BasicBuilderParameters>`, `BuilderParameters`, `FileBasedBuilderProperties<FileBasedBuilderParametersImpl>`, `HierarchicalBuilderProperties<HierarchicalBuilderParametersImpl>`, `INIBuilderProperties<INIBuilderParametersImpl>`

public class INIBuilderParametersImpl extends HierarchicalBuilderParametersImpl implements INIBuilderProperties<INIBuilderParametersImpl>

A specialized parameters class for INI configuration.

This parameters class defines some properties which allow customizing the parsing and writing of INI documents.

This class is not thread-safe. It is intended that an instance is constructed and initialized by a single thread during configuration of a `ConfigurationBuilder`.

Since:
  2.2

- ## Field Summary

  ### Fields inherited from interface org.apache.commons.configuration2.builder.BuilderParameters

  `RESERVED_PARAMETER_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `INIBuilderParametersImpl()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `inheritFrom(Map<String,?> source)`
  Inherits properties from the specified map.
  `INIBuilderParametersImpl`
  `setCommentLeadingCharsUsedInInput(String separator)`
  Sets the leading comment separator which is used in reading an INI file.
  `INIBuilderParametersImpl`
  `setSeparatorUsedInInput(String separator)`
  Sets the key and value separator which is used in reading an INI file.
  `INIBuilderParametersImpl`
  `setSeparatorUsedInOutput(String separator)`
  Sets the separator between key and value to be used when writing an INI file.

  ### Methods inherited from class org.apache.commons.configuration2.builder.HierarchicalBuilderParametersImpl

  `setExpressionEngine`

  ### Methods inherited from class org.apache.commons.configuration2.builder.FileBasedBuilderParametersImpl

  `clone, fromMap, fromParameters, fromParameters, getFileHandler, getParameters, getReloadingDetectorFactory, getReloadingRefreshDelay, setBasePath, setEncoding, setFile, setFileName, setFileSystem, setLocationStrategy, setPath, setReloadingDetectorFactory, setReloadingRefreshDelay, setURL, setURL`

  ### Methods inherited from class org.apache.commons.configuration2.builder.BasicBuilderParameters

  `copyPropertiesFrom, fetchBeanHelper, fetchInterpolatorSpecification, fetchProperty, merge, setBeanHelper, setConfigurationDecoder, setConversionHandler, setDefaultLookups, setInterpolator, setListDelimiterHandler, setLogger, setParentInterpolator, setPrefixLookups, setSynchronizer, setThrowExceptionOnMissing, storeProperty`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### INIBuilderParametersImpl

    public INIBuilderParametersImpl()
    Constructs a new instance.

- ## Method Details

  - ### inheritFrom

    public void inheritFrom(Map<String,?> source)
    Description copied from class: `HierarchicalBuilderParametersImpl`
    Inherits properties from the specified map. This can be used for instance to reuse parameters from one builder in another builder - also in parent-child relations in which a parent builder creates child builders. The purpose of this method is to let a concrete implementation decide which properties can be inherited. Because parameters are basically organized as a map it would be possible to simply copy over all properties from the source object. However, this is not appropriate in all cases. For instance, some properties - like a `ConfigurationInterpolator` - are tightly connected to a configuration and cannot be reused in a different context. For other properties, for example a file name, it does not make sense to copy it. Therefore, an implementation has to be explicit in the properties it wants to take over. This implementation takes some properties defined in this class into account. This implementation copies some more properties defined by this class.
    Overrides:
      `inheritFrom` in class `HierarchicalBuilderParametersImpl`
    Parameters:
      `source` - the source properties to inherit from

  - ### setCommentLeadingCharsUsedInInput

    public INIBuilderParametersImpl setCommentLeadingCharsUsedInInput(String separator)
    Description copied from interface: `INIBuilderProperties`
    Sets the leading comment separator which is used in reading an INI file.
    Specified by:
      `setCommentLeadingCharsUsedInInput` in interface `INIBuilderProperties<INIBuilderParametersImpl>`
    Parameters:
      `separator` - String of the new separator for INI reading
    Returns:
      a reference to this object for method chaining

  - ### setSeparatorUsedInInput

    public INIBuilderParametersImpl setSeparatorUsedInInput(String separator)
    Description copied from interface: `INIBuilderProperties`
    Sets the key and value separator which is used in reading an INI file.
    Specified by:
      `setSeparatorUsedInInput` in interface `INIBuilderProperties<INIBuilderParametersImpl>`
    Parameters:
      `separator` - String of the new separator for INI reading
    Returns:
      a reference to this object for method chaining

  - ### setSeparatorUsedInOutput

    public INIBuilderParametersImpl setSeparatorUsedInOutput(String separator)
    Description copied from interface: `INIBuilderProperties`
    Sets the separator between key and value to be used when writing an INI file.
    Specified by:
      `setSeparatorUsedInOutput` in interface `INIBuilderProperties<INIBuilderParametersImpl>`
    Parameters:
      `separator` - the new separator for INI output
    Returns:
      a reference to this object for method chaining